# $Revision: 1.42.2.1 $, $Date: 2007/03/26 22:42:11 $
Summary:	Integrated scm, wiki, issue tracker and project environment
Summary(pl):	Zintegrowane scm, wiki, system ledzenia problemw i rodowisko projektowe
Name:		trac
Version:	0.10.3.1
Release:	1
License:	GPL
Group:		Applications/WWW
Source0:	http://ftp.edgewall.com/pub/trac/%{name}-%{version}.tar.gz
# Source0-md5:	b625af0ca7cab8b7f79d92778efd6d7d
Source1:	%{name}-apache.conf
Source2:	%{name}-lighttpd.conf
Source3:	%{name}.ico
Patch0:		%{name}-util.patch
URL:		http://www.edgewall.com/trac/
BuildRequires:	python >= 1:2.1
BuildRequires:	python-devel >= 1:2.1
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	group(http)
Requires:	python >= 1:2.1
Requires:	python-clearsilver >= 0.9.3
Requires:	python-sqlite1 >= 0.4.3
Requires:	python-subversion >= 1.2.0
Requires:	subversion >= 1.0.0
Requires:	webapps
# for lighttpd:
Requires:	webserver(alias)
#Requires:	webserver(rewrite)
# for apache:
#Requires:	webserver(auth)
#Requires:	webserver(env)
#Suggests:	webserver(cgi)
#Suggests:	apache(mod_env)
#Suggests:	apache-mod_python >= 3.1.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	%{_prefix}/share/%{name}
%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Trac is a minimalistic web-based software project management and
bug/issue tracking system. It provides an interface to the Subversion
revision control systems, an integrated wiki, flexible issue tracking
and convenient report facilities.

%description -l pl
Trac to minimalistyczny, oparty na WWW zarzdca projektw i system
ledzenia bdw/problemw. Dostarcza interfejs do systemu kontroli
wersji Subversion, zintegrowane wiki, elastyczne ledzenie problemw i
wygodne uatwienia do raportowania.

%prep
%setup -q
#%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/var/lib/%{name}}

python ./setup.py install \
	--root=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf
install %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/htdocs/%{name}.ico
> $RPM_BUILD_ROOT%{_sysconfdir}/htpasswd

# compile the scripts
%{py_ocomp} $RPM_BUILD_ROOT%{py_sitescriptdir}

# remove .py files, leave just compiled ones.
%{py_postclean}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%post
if [ "$1" = 1 ]; then
%banner %{name} -e <<EOF

To create new trac environment run as root:
# trac-admin /var/lib/trac/project initenv
and chown -R it to webserver user (http).

EOF
#'

# NOTE(s)
#- we made the parent directory (/var/lib/trac) g+s, but db/* files
#  needed to be really writable for web user, so better suggest
#  chown -R than chmod single file(s)?

fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INSTALL README THANKS UPGRADE
%doc contrib/
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/htpasswd

%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/trac*.1*

# project data is stored there
%attr(2770,root,http) %dir /var/lib/trac

%dir %{_datadir}
%dir %{_datadir}/cgi-bin
%attr(755,root,root) %{_datadir}/cgi-bin/trac.*cgi
%{_datadir}/htdocs
%{_datadir}/templates
%{_datadir}/wiki-default
%{_datadir}/wiki-macros

%{py_sitescriptdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: trac.spec,v $
Revision 1.42.2.1  2007/03/26 22:42:11  glen
- 0.10.3.1 from HEAD

Revision 1.42  2007/01/17 17:02:44  jajcus
Version: 0.10.3

Revision 1.41  2006/11/17 01:39:15  andree
- upgrade to 0.10.2 (security fix)

Revision 1.40  2006/11/13 09:51:28  glen
- 0.10.1 (xss fix)

Revision 1.39  2006/10/09 08:34:38  patrys
- up to 0.10

Revision 1.38  2006/10/01 20:37:19  glen
- rel 2

Revision 1.37  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.36  2006/08/11 15:44:06  patrys
- up to 0.9.6

Revision 1.35  2006/07/20 18:18:45  glen
- lighttpd integration, not sure what to do with requires
- drop old trigger

Revision 1.34  2006/04/21 16:31:20  deejay1
- up to 0.9.5

Revision 1.33  2006/02/22 14:22:12  deejay1
- up to 0.9.4 (bugfix release); rel. 1

Revision 1.32  2006/02/03 18:26:19  glen
- fix regex for apache1, rel 3

Revision 1.31  2006/02/03 16:50:03  baggins
- release 2

Revision 1.30  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.29  2006/02/01 21:04:13  glen
- rpm-pythonprov should be BR

Revision 1.28  2006/02/01 15:02:29  glen
- BR: rpm-pythonprov

Revision 1.27  2006/02/01 14:56:59  glen
- started reviewing mod_python patches
- use %service even in triggers

Revision 1.26  2006/01/26 14:33:24  glen
- add cve ref

Revision 1.25  2006/01/20 21:50:47  arekm
- up to 0.9.3, resolves CVE-2005-4305

Revision 1.24  2005/12/07 02:02:53  glen
- typhon epoch

Revision 1.23  2005/12/06 13:05:47  glen
- convert to webapps framework; rel 1

Revision 1.22  2005/12/06 03:06:41  aredridel
- up to 0.9.2, fixes security flaw
- STBR

Revision 1.21  2005/11/03 09:28:14  arekm
- up to 0.9

Revision 1.20  2005/10/07 13:07:15  czarny
- BR: python-devel

Revision 1.19  2005/08/15 19:07:59  glen
- use apache config triggers
- add contrib/ to %doc
- %{py_postclean} enabled to remove .py from DESTDIR
- rel 3

Revision 1.18  2005/07/24 03:12:24  aredridel
- actually works
- STBR

Revision 1.17  2005/06/21 22:43:11  patrys
- up to 0.8.4, security fix release

Revision 1.16  2005/06/20 08:46:48  radzio
- R:python-sqlite1
- rel 2
- STBR

Revision 1.15  2005/06/03 19:25:02  aredridel
- up to 0.8.2

Revision 1.14  2005/05/30 08:14:38  radzio
- rel 1, STBR

Revision 1.13  2005/05/29 22:07:16  radzio
- fix Patch0 (compatibility with Subversion 1.2)
- add Patch1 (fix path in trac/siteconfig.py to be more Linux friendly)
- rel 0.3 (tests needed)

Revision 1.12  2005/05/27 07:00:21  glen
- py_postclean macro is broken

Revision 1.11  2005/05/27 06:55:50  glen
- add py_ocomp and py_postclean back

Revision 1.10  2005/05/27 06:53:59  glen
- py_hardlink done by rpm

Revision 1.9  2005/05/26 21:21:56  aredridel
- patch for svn 1.2.0
- R: python-subversion >= 1.2.0
- rel 0.2

Revision 1.8  2005/03/06 11:17:17  glen
- R: group(http) as we have files listed with that gid

Revision 1.7  2005/03/06 10:36:18  glen
- fix %banner
- revert bundled trac-env creation

Revision 1.6  2005/02/15 15:59:02  glen
- add missing icon
- revert macros rev bump
- with data is off by default

Revision 1.5  2005/02/15 15:40:11  glen
- fix apache2 config linkage
- testing bundled trac-env
- add BR for py_ macros

Revision 1.4  2005/02/14 21:43:17  qboosh
- removed COPYING from doc (just GPL)

Revision 1.3  2005/02/14 21:36:52  qboosh
- pl

Revision 1.2  2005/02/14 21:01:34  glen
- progress... works now for me

Revision 1.1  2005/02/14 00:04:07  glen
- new
